PHP Manual
Prev |  | Next

# DOMXPath->evaluate()

(no version information, might be only in CVS)

DOMXPath->evaluate() -- Evaluates the given XPath expression and returns a typed result if possible.

## Description

class DOMXPath {
mixed evaluate ( string expression [, DOMNode contextnode] )
}

Executes the given XPath expression and returns a typed result if possible.

## Parameters

expression

  The XPath expression to execute.

contextnode

  The optional contextnode can be specified for doing relative XPath queries. By default, the queries are relative to the root element.

## Return Values

Returns a typed result if possible or a DOMNodeList containing all nodes matching the given XPath expression.

## Examples

Example 1. Getting the count of all the english books
`<?php $doc = new DOMDocument; $doc->load('book.xml'); $xpath = new DOMXPath($doc); $tbody = $doc->getElementsByTagName('tbody')->item(0); // our query is relative to the tbody node $query = 'count(row/entry[. = "en"])'; $entries = $xpath->evaluate($query, $tbody); echo "There are $entries english books\n"; ?>`
The above example will output:
    There are 2 english books

## See Also

DOMXPath->query()

Prev | Home | Next
DOMXPath->__construct() | Up | DOMXPath->query()